# ListValidCertificatesForCustomer

List valid certificates for a location

`GET /api/v2/companies/{companyId}/customers/{customerCode}/certificates/{country}/{region}`

**API:** AvaTax API
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Customers/ListValidCertificatesForCustomer/

## Description

List valid certificates linked to a customer in a particular country and region.
            
This API is intended to help identify whether a customer has already provided a certificate that
applies to a particular country and region.  This API is intended to help you remind a customer
when they have or have not provided copies of their exemption certificates to you during the sales
order process.
            
If a customer does not have a certificate on file and they wish to provide one, you should send the customer
a CertExpress invitation link so that the customer can upload proof of their exemption certificate.  Please
see the `CreateCertExpressInvitation` API to create an invitation link for this customer.
            
Before you can use any exemption certificates endpoints, you must set up your company for exemption certificate data storage.
Companies that do not have this storage system set up will see `CertCaptureNotConfiguredError` when they call exemption
certificate related APIs. To check if this is set up for a company, call `GetCertificateSetup`.  To request setup of exemption
certificate storage for this company, call `RequestCertificateSetup`.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID number of the company that recorded this customer |
| `customerCode` | string | path | Yes | The unique code representing this customer |
| `country` | string | path | Yes | Search for certificates matching this country.  Uses the ISO 3166 two character country code. |
| `region` | string | path | Yes | Search for certificates matching this region.  Uses the ISO 3166 two or three character state, region, or province code. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ExemptionStatusModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `ExemptionStatusModel`

Indicates the customer's exemption status in a specific country and region.

| Property | Type | Required | Description |
|---|---|---|---|
| `status` | string | No | The exemption status of this customer in this country/region. Example: `Exempt`. |
| `certificate` | CertificateModel | No | Certificate if the customer is exempted |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/customers/{customerCode}/certificates/{country}/{region}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```